Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.agent
Class FileDataResult

    java.lang.Object
      org.hyperic.hq.agent.FileDataResult

All Implemented Interfaces:
  java.io.Serializable

    public class FileDataResult

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`FileDataResult(java.lang.String fileName, long sendBytes, long sendTime)`

Method Summary
`java.lang.String` | `getFileName()` The file that was sent
`long` | `getSendBytes()` Return the number of bytes sent
`long` | `getSendTime()` Return the transfer time in milliseconds
`double` | `getSendTimeSeconds()` Return the transfer time in seconds
`double` | `getTxRate()` Return the transfer rate (in Kb/sec)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDataResult

    public FileDataResult(java.lang.String fileName,
                          long sendBytes,
                          long sendTime)

Method Detail

### getFileName

    public java.lang.String getFileName()

  The file that was sent

### getSendBytes

    public long getSendBytes()

  Return the number of bytes sent

### getSendTime

    public long getSendTime()

  Return the transfer time in milliseconds

### getSendTimeSeconds

    public double getSendTimeSeconds()

  Return the transfer time in seconds

### getTxRate

    public double getTxRate()

  Return the transfer rate (in Kb/sec)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.